Package com.ocient.transport

# Enum Class WireType

java.lang.Object
java.lang.Enum<WireType>
com.ocient.transport.WireType

All Implemented Interfaces:
  `Serializable`, `Comparable<WireType>`, `Constable`

public enum WireType extends Enum<WireType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RS_FLAG_ARRAY`
`RS_FLAG_BINARY`
`RS_FLAG_BOOL`
`RS_FLAG_BYTE`
`RS_FLAG_DATE`
`RS_FLAG_DECIMAL`
`RS_FLAG_DEM`
`RS_FLAG_DOUBLE`
`RS_FLAG_FLOAT`
`RS_FLAG_INT`
`RS_FLAG_IP`
`RS_FLAG_IPV4`
`RS_FLAG_LONG`
`RS_FLAG_NULL`
`RS_FLAG_SHORT`
`RS_FLAG_ST_LINESTRING`
`RS_FLAG_ST_POINT`
`RS_FLAG_ST_POLYGON`
`RS_FLAG_STRING`
`RS_FLAG_TIME`
`RS_FLAG_TIME_WITH_NANOS`
`RS_FLAG_TIMESTAMP`
`RS_FLAG_TIMESTAMP_WITH_NANOS`
`RS_FLAG_TUPLE`
`RS_FLAG_UUID`

## Method Summary

Modifier and Type
Method
Description
`byte`
`val()`
`static WireType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WireType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RS_FLAG_DEM

public static final WireType RS_FLAG_DEM

### RS_FLAG_INT

public static final WireType RS_FLAG_INT

### RS_FLAG_LONG

public static final WireType RS_FLAG_LONG

### RS_FLAG_FLOAT

public static final WireType RS_FLAG_FLOAT

### RS_FLAG_DOUBLE

public static final WireType RS_FLAG_DOUBLE

### RS_FLAG_STRING

public static final WireType RS_FLAG_STRING

### RS_FLAG_TIMESTAMP

public static final WireType RS_FLAG_TIMESTAMP

### RS_FLAG_NULL

public static final WireType RS_FLAG_NULL

### RS_FLAG_BOOL

public static final WireType RS_FLAG_BOOL

### RS_FLAG_BINARY

public static final WireType RS_FLAG_BINARY

### RS_FLAG_BYTE

public static final WireType RS_FLAG_BYTE

### RS_FLAG_SHORT

public static final WireType RS_FLAG_SHORT

### RS_FLAG_TIME

public static final WireType RS_FLAG_TIME

### RS_FLAG_DECIMAL

public static final WireType RS_FLAG_DECIMAL

### RS_FLAG_ARRAY

public static final WireType RS_FLAG_ARRAY

### RS_FLAG_UUID

public static final WireType RS_FLAG_UUID

### RS_FLAG_ST_POINT

public static final WireType RS_FLAG_ST_POINT

### RS_FLAG_IP

public static final WireType RS_FLAG_IP

### RS_FLAG_IPV4

public static final WireType RS_FLAG_IPV4

### RS_FLAG_DATE

public static final WireType RS_FLAG_DATE

### RS_FLAG_TIMESTAMP_WITH_NANOS

public static final WireType RS_FLAG_TIMESTAMP_WITH_NANOS

### RS_FLAG_TIME_WITH_NANOS

public static final WireType RS_FLAG_TIME_WITH_NANOS

### RS_FLAG_TUPLE

public static final WireType RS_FLAG_TUPLE

### RS_FLAG_ST_LINESTRING

public static final WireType RS_FLAG_ST_LINESTRING

### RS_FLAG_ST_POLYGON

public static final WireType RS_FLAG_ST_POLYGON

## Method Details

### values

public static WireType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WireType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### val

public byte val()